.TH "/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-xml.h" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-xml.h \- Public interface to Discover's XML handling. 
.SH SYNOPSIS
.br
.PP
\fC#include <discover/discover.h>\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_xml_find_device\fP (\fBdiscover_device_t\fP *xml_devices, char *target_vendor, char *target_model, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_xml_find_next_device\fP (\fBdiscover_device_t\fP *xml_devices, char *target_vendor, char *target_model, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_xml_get_matching_devices\fP (\fBdiscover_device_t\fP *xml_devices, char *target_vendor, char *target_model, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "int \fBdiscover_xml_version_cmp\fP (char *range, char *version, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_xml_url_t\fP * \fBdiscover_xml_url_new\fP (void)"
.br
.ti -1c
.RI "void \fBdiscover_xml_url_copy\fP (\fBdiscover_xml_url_t\fP *src, \fBdiscover_xml_url_t\fP *dst)"
.br
.ti -1c
.RI "void \fBdiscover_xml_url_free\fP (\fBdiscover_xml_url_t\fP *urls)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_url_get_url\fP (\fBdiscover_xml_url_t\fP *url)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_url_get_bus\fP (\fBdiscover_xml_url_t\fP *url)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_url_get_type\fP (\fBdiscover_xml_url_t\fP *url)"
.br
.ti -1c
.RI "\fBdiscover_xml_url_t\fP * \fBdiscover_xml_url_get_next\fP (\fBdiscover_xml_url_t\fP *url)"
.br
.ti -1c
.RI "\fBdiscover_xml_url_t\fP * \fBdiscover_xml_url_get_last\fP (\fBdiscover_xml_url_t\fP *url)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_url_get_label\fP (\fBdiscover_xml_url_t\fP *url)"
.br
.ti -1c
.RI "\fBdiscover_xml_url_t\fP * \fBdiscover_xml_get_urls\fP (\fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_xml_free_urls\fP (void)"
.br
.ti -1c
.RI "\fBdiscover_xml_url_t\fP * \fBdiscover_xml_get_data_urls\fP (\fBdiscover_bus_t\fP bus, \fBdiscover_filetype_t\fP filetype, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_xml_free_data_urls\fP (void)"
.br
.ti -1c
.RI "\fBdiscover_xml_busclass_t\fP * \fBdiscover_xml_busclass_new\fP (void)"
.br
.ti -1c
.RI "\fBdiscover_xml_busclass_t\fP * \fBdiscover_xml_get_busclasses\fP (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_xml_free_busclasses\fP (void)"
.br
.ti -1c
.RI "void \fBdiscover_xml_merge_busclass_url\fP (\fBdiscover_xml_busclass_t\fP **blist, char *filename, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_busclass_to_class\fP (char *busclass, \fBdiscover_xml_busclass_t\fP *busclasses)"
.br
.ti -1c
.RI "int \fBdiscover_xml_busclass_cmp\fP (char *busclass, char *discover_class, \fBdiscover_xml_busclass_t\fP *busclasses)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_busclass_get_id\fP (\fBdiscover_xml_busclass_t\fP *busclass)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_busclass_get_name\fP (\fBdiscover_xml_busclass_t\fP *busclass)"
.br
.ti -1c
.RI "\fBdiscover_xml_busclass_t\fP * \fBdiscover_xml_busclass_get_next\fP (\fBdiscover_xml_busclass_t\fP *busclass)"
.br
.ti -1c
.RI "void \fBdiscover_xml_busclass_free\fP (\fBdiscover_xml_busclass_t\fP *busclasses)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_xml_get_devices\fP (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_xml_free_devices\fP (void)"
.br
.ti -1c
.RI "void \fBdiscover_xml_merge_device_url\fP (\fBdiscover_device_t\fP **dlist, char *url, \fBdiscover_xml_busclass_t\fP *busclasses, \fBdiscover_xml_vendor_t\fP *vendors, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_xml_vendor_t\fP * \fBdiscover_xml_vendor_new\fP (void)"
.br
.ti -1c
.RI "void \fBdiscover_xml_merge_vendor_url\fP (\fBdiscover_xml_vendor_t\fP **vlist, char *filename, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_xml_vendor_t\fP * \fBdiscover_xml_get_vendors\fP (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_xml_free_vendors\fP (void)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_vendor_id2name\fP (\fBdiscover_xml_vendor_t\fP *vendors, char *id)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_vendor_get_id\fP (\fBdiscover_xml_vendor_t\fP *vendor)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_vendor_get_name\fP (\fBdiscover_xml_vendor_t\fP *vendor)"
.br
.ti -1c
.RI "\fBdiscover_xml_vendor_t\fP * \fBdiscover_xml_vendor_get_next\fP (\fBdiscover_xml_vendor_t\fP *vendor)"
.br
.ti -1c
.RI "void \fBdiscover_xml_vendor_free\fP (\fBdiscover_xml_vendor_t\fP *vendors)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Public interface to Discover's XML handling. 

Public interface that exposes Discover's XML routines. These functions are used to read the XML data loaded from the specified configuration file(s). 
.PP
Definition in file \fBdiscover-xml.h\fP.
.SH "Author"
.PP 
Generated automatically by Doxygen for discover from the source code.
